> ## Documentation Index
> Fetch the complete documentation index at: https://docs.augustus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Account Balance

> Retrieve the balance of your Ivy account. The balance is the money currently available on your Ivy account. It is broken down by currency.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/getivy/openapi.documented.yml post /api/service/balance/retrieve
openapi: 3.0.0
info:
  title: Ivy API
  description: Ivy API schema
  version: '1.0'
  contact:
    name: Ivy
    url: https://www.getivy.io
    email: help@getivy.io
servers:
  - url: https://api.getivy.de
    description: Production
  - url: https://api.sand.getivy.de
    description: Sandbox
security: []
tags: []
paths:
  /api/service/balance/retrieve:
    post:
      tags:
        - Banking
      summary: Retrieve Account Balance
      description: >-
        Retrieve the balance of your Ivy account. The balance is the money
        currently available on your Ivy account. It is broken down by currency.
      operationId: BalanceController_retrieveBalance
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RetrieveBalanceDto'
      responses:
        '200':
          description: The account balance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RetrieveBalanceResponseDto'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Ivy from '@getivy/node-sdk';

            const client = new Ivy({
              apiKey: process.env['IVY_API_KEY'], // This is the default and can be omitted
            });

            const balance = await client.balance.retrieve();

            console.log(balance.balances);
components:
  schemas:
    RetrieveBalanceDto:
      type: object
      properties:
        currency:
          description: >-
            The currency to retrieve the balance for. Default account balance
            for that currency will be retrieved
          type: string
          enum:
            - USD
            - EUR
            - GBP
            - USDC
        accountId:
          description: >-
            The account id to retrieve the balance for. You can find it in the
            Merchant Dashboard -> Accounts -> Details. If `currency` is provided
            it will be ignored.
          type: string
          format: uuid
    RetrieveBalanceResponseDto:
      type: object
      properties:
        balances:
          description: Array of balance information for different currencies
          type: array
          items:
            type: object
            properties:
              currency:
                description: The currency of the balance
                type: string
                enum:
                  - USD
                  - EUR
                  - GBP
                  - USDC
              available:
                description: >-
                  The amount of money available on your Ivy account for this
                  currency
                type: number
            required:
              - currency
              - available
      required:
        - balances
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Ivy-Api-Key
      description: API key for authentication

````